Enable RemexHTML on additional wikis with < 10 high-priority linter errors in all linter categories
Closed, ResolvedPublic

Description

We are going to slightly loosen the constraints on unconditionally replacing Tidy with RemexHTML. So far, this used to be wikis with zero high priority lint errors. We are now going to do this for wikis with < 10 entries in any high priority linter category. The actual deploy wil happen on Feb 6th, 2018

As of Jan 29, 2018, 01:00 UTC, here is the list of wikis (394 in all). I'll be updating the description on occasion till Jan 30th.

aawiki
aawikibooks
aawiktionary
abwiktionary
advisorywiki
adywiki
afwikiquote
akwikibooks
akwiktionary
amwikimedia
amwikiquote
amwiktionary
angwikibooks
angwikiquote
angwikisource
angwiktionary
arwikimedia
astwikibooks
astwikiquote
astwiktionary
aswikibooks
aswiktionary
atjwiki
avwiktionary
aywikibooks
aywiktionary
azwikibooks
azwikiquote
azwikisource
bawikibooks
bdwikimedia
bewikibooks
bewikimedia
bewikiquote
bewikisource
bewiktionary
bgwikibooks
bgwikinews
bgwikisource
bhwiktionary
biwiki
biwikibooks
biwiktionary
bmwiki
bmwikibooks
bmwikiquote
bmwiktionary
bnwiktionary
bowikibooks
bowiktionary
brwikiquote
bswikibooks
bswikiquote
bswiktionary
cawikimedia
cawiktionary
chowiki
chrwiki
chrwiktionary
chwiki
chwikibooks
chwiktionary
chywiki
cnwikimedia
cowikibooks
cowikiquote
cowiktionary
crwiki
crwikiquote
crwiktionary
csbwiktionary
cswikibooks
cswikinews
cswikiquote
cswikisource
cvwikibooks
cywikibooks
cywikiquote
dawikibooks
dawikiquote
dawikisource
dewikivoyage
dinwiki
dkwikimedia
donatewiki
dsbwiki
dvwiktionary
dzwiki
dzwiktionary
eewiki
elwikinews
elwikiquote
elwikisource
eowikiquote
eswikisource
etwikimedia
etwikiquote
etwikisource
euwikibooks
euwikiquote
fiu_vrowiki
fiwikimedia
fiwikisource
fiwikiversity
fjwiki
fjwiktionary
fowikisource
fowiktionary
fywikibooks
fywiktionary
gawikibooks
gawikiquote
gnwikibooks
gnwiktionary
gotwiki
gotwikibooks
guwikibooks
guwikiquote
guwikisource
guwiktionary
gvwiktionary
hawiktionary
hawwiki
hifwiktionary
hiwikiversity
hiwikivoyage
howiki
hrwikiquote
hsbwiktionary
htwikisource
huwikinews
huwikiquote
hzwiki
iawikibooks
iawiktionary
iewiki
iewikibooks
iewiktionary
iiwiki
ikwiki
ikwiktionary
ilowiki
iswikibooks
iswikiquote
iswikisource
itwikiquote
iuwiki
iuwiktionary
jamwiki
jawikiversity
jbowiki
jbowiktionary
kbpwiki
kgwiki
kiwiki
kjwiki
kkwikibooks
kkwikiquote
kkwiktionary
klwiktionary
kmwikibooks
kmwiktionary
knwikibooks
knwikiquote
knwikisource
kowikiquote
kowikiversity
krwiki
krwikiquote
kswikibooks
kswikiquote
kswiktionary
kuwikibooks
kuwikiquote
kwwiki
kwwikiquote
kwwiktionary
kywikibooks
kywikiquote
labswiki
ladwiki
lawiki
lawikibooks
lawikiquote
lawiktionary
lbewiki
lbwiki
lbwikibooks
lbwikiquote
lbwiktionary
lgwiki
lijwiki
liwikibooks
liwikiquote
liwikisource
liwiktionary
lnwiki
lnwikibooks
lnwiktionary
lowiktionary
ltgwiki
ltwikibooks
ltwikiquote
ltwikisource
lvwikibooks
lvwiktionary
maiwikimedia
mdfwiki
mgwikibooks
mhwiki
mhwiktionary
miwikibooks
mkwikimedia
mkwikisource
mkwiktionary
mnwikibooks
mrjwiki
mrwikibooks
mrwikiquote
mswikibooks
mswiktionary
mtwiktionary
muswiki
mxwikimedia
mywikibooks
mywiktionary
nahwikibooks
nawikibooks
nawikiquote
ndswikibooks
ndswikiquote
ndswiktionary
newikibooks
newiktionary
ngwiki
nlwikimedia
nlwikinews
nlwikiquote
nlwiktionary
nnwikiquote
nnwiktionary
nostalgiawiki
novwiki
nowikimedia
nowikiquote
nowikisource
nsowiki
nycwikimedia
nywiki
nzwikimedia
ocwikibooks
omwiktionary
orwiktionary
pa_uswikimedia
papwiki
pawiktionary
pflwiki
pihwiki
piwiki
piwiktionary
plwikiquote
plwikivoyage
pmswiki
pnbwiktionary
pntwiki
pswikibooks
ptwikimedia
ptwikiversity
qualitywiki
quwikibooks
quwikiquote
quwiktionary
rmwikibooks
rmwiktionary
rnwiki
rnwiktionary
roa_rupwiktionary
rswikimedia
ruewiki
rwwiki
sahwikisource
sawikibooks
sawikiquote
sawiktionary
scnwiktionary
scwiktionary
sdwikinews
sdwiktionary
sewiki
sewikibooks
sewikimedia
sgwiktionary
simplewikibooks
simplewikiquote
skwikibooks
skwikiquote
skwikisource
skwiktionary
smwiktionary
snwiki
snwiktionary
specieswiki
sqwikiquote
sqwiktionary
srnwiki
srwikibooks
sswiki
sswiktionary
strategywiki
stwiktionary
suwikibooks
suwikiquote
suwiktionary
svwikinews
svwikiquote
svwikisource
svwikivoyage
svwiktionary
swwikibooks
swwiktionary
szlwiki
tcywiki
tenwiki
testwikidatawiki
tewikibooks
tewikiquote
tgwikibooks
thwikinews
tiwiki
tiwiktionary
tkwikibooks
tkwikiquote
tlwikibooks
tlwiktionary
tnwiki
towiki
towiktionary
tpiwiki
tpiwiktionary
tswiktionary
ttwikiquote
tumwiki
twwiktionary
tyvwiki
tywiki
udmwiki
ugwikibooks
ugwikiquote
ukwikibooks
ukwikinews
usabilitywiki
uzwikibooks
uzwikiquote
vecwikisource
vewiki
vlswiki
vowikibooks
vowikiquote
vowiktionary
wawikibooks
wbwikimedia
wikimania2005wiki
wikimania2006wiki
wikimania2007wiki
wikimania2008wiki
wikimania2009wiki
wikimania2010wiki
wikimania2011wiki
wikimania2012wiki
wikimania2013wiki
wikimania2014wiki
wikimania2016wiki
wowiki
wowikiquote
xhwiki
xhwikibooks
xhwiktionary
yowikibooks
yowiktionary
zawikibooks
zawikiquote
zawiktionary
zh_min_nanwikibooks
zh_min_nanwikiquote
zh_min_nanwikisource
zh_min_nanwiktionary
zhwikibooks
zhwikinews
zhwikiquote
zhwikisource
zhwiktionary
zuwikibooks
zuwiktionary
ssastry created this task.Jan 10 2018, 10:07 PM
Restricted Application added subscribers: jeblad, Cosine02, Base and 2 others. · View Herald TranscriptJan 10 2018, 10:07 PM
ssastry updated the task description. (Show Details)Jan 16 2018, 3:54 PM
ssastry updated the task description. (Show Details)Jan 24 2018, 12:51 AM
Stryn added a subscriber: Stryn.Jan 24 2018, 8:01 PM
TTO renamed this task from On Jan 31, 2018, enable RemexHTML on additional wikis with < 10 high-priority linter errors in all linter categories (as of Monday, Friday, Jan 30, 2017) to On Jan 31, 2018, enable RemexHTML on additional wikis with < 10 high-priority linter errors in all linter categories (as of Jan 30, 2018).Jan 25 2018, 8:21 AM

Looks like this is a no-swat and no-mediawiki train week as per https://wikitech.wikimedia.org/wiki/Deployments#Week_of_January_29th .. so, looks like this has to wait till next week. Postponed to Feb 6th.

ssastry renamed this task from On Jan 31, 2018, enable RemexHTML on additional wikis with < 10 high-priority linter errors in all linter categories (as of Jan 30, 2018) to On Feb 6, 2018, enable RemexHTML on additional wikis with < 10 high-priority linter errors in all linter categories (as of Feb 5, 2018).Jan 29 2018, 9:17 PM
ssastry updated the task description. (Show Details)
ssastry renamed this task from On Feb 6, 2018, enable RemexHTML on additional wikis with < 10 high-priority linter errors in all linter categories (as of Feb 5, 2018) to Enable RemexHTML on additional wikis with < 10 high-priority linter errors in all linter categories.Feb 2 2018, 6:21 PM

Change 407706 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[operations/mediawiki-config@master] Enable RemexHtml on wikis with < 10 errors in all high-priority categories

https://gerrit.wikimedia.org/r/407706

Change 407706 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable RemexHtml on wikis with < 10 errors in all high-priority categories

https://gerrit.wikimedia.org/r/407706

Mentioned in SAL (#wikimedia-operations) [2018-02-07T00:28:43Z] <ladsgroup@tin> Synchronized wmf-config/InitialiseSettings.php: [[gerrit:407706|Enable RemexHtml on wikis with < 10 errors in all high-priority categories (T184656)]] (duration: 01m 09s)

ssastry closed this task as Resolved.Feb 7 2018, 12:34 AM
ssastry updated the task description. (Show Details)
Liuxinyu970226 moved this task from Backlog to Closed on the Chinese-Sites board.
238482n375 lowered the priority of this task from Normal to Lowest.Jun 15 2018, 8:03 AM
238482n375 removed ssastry as the assignee of this task.
238482n375 moved this task from Next Up to In Code Review on the Analytics-Kanban board.
238482n375 edited subscribers, added: 238482n375; removed: Aklapper.

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

Restricted Application added a subscriber: Petar.petkovic. · View Herald TranscriptJun 15 2018, 8:03 AM
Aklapper assigned this task to ssastry.Jun 15 2018, 1:01 PM